<script setup lang="ts">
import ProductCard from './ProductCard.vue'
import type { Product } from '@/views/product/types/Product'

function selected(p: Product) {
  emit('selected', p)
}

defineProps<{
  products: Product[]
}>()

const emit = defineEmits<{
  selected: [product: Product]
}>()
</script>

<template>
  <div style="height: 550px; overflow-y: auto">
    <v-container fluid>
      <v-row>
        <v-col cols="3" v-for="product of products" :key="product.id">
          <ProductCard :product="product" @selected="selected"></ProductCard>
        </v-col>
      </v-row>
    </v-container>
  </div>
</template>
